Bug 80998 - Segfault on rpm -Fvh *.rpm
Segfault on rpm -Fvh *.rpm
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-02 23:11 EST by Ralph Loader
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-03 08:55:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Loader 2003-01-02 23:11:27 EST
Description of problem:

rpm is segfaulting when I try to -Fvh a whole load of rpms at once:

[root@suckfish rpms]# rpm -Fvh `cat updates.list `
warning: galeon-1.2.7-0.i386.rpm: V3 DSA signature: NOKEY, key ID 897da07a
Segmentation fault (core dumped)
[root@suckfish rpms]#

No symbols, but here's the address list:

(gdb) bt
#0  0x4108f3bc in ?? ()
#1  0x08081e48 in ?? ()
#2  0x080820f3 in ?? ()
#3  0x0805dff5 in ?? ()
#4  0x0805e4d8 in ?? ()
#5  0x0807b54d in ?? ()
#6  0x08052c7f in ?? ()
#7  0x4102c970 in ?? ()


Version-Release number of selected component (if applicable):

[root@suckfish rpms]# rpm -q rpm
rpm-4.2-0.48

How reproducible:  Every time.

Additional info:  Here's that updates.list file.  Some are installed, some are
updates, some are old.

abiword-1.0.3-2.i386.rpm
bison-1.35-5.i386.rpm
cdparanoia-alpha9.8-13.i386.rpm
cdparanoia-libs-alpha9.8-13.i386.rpm
galeon-1.2.7-0.i386.rpm
glibc-2.3.1-26.i686.rpm
glibc-common-2.3.1-26.i386.rpm
glibc-devel-2.3.1-26.i386.rpm
glibc-utils-2.3.1-26.i386.rpm
gnome-python2-1.99.14-1.i386.rpm
gnome-python2-bonobo-1.99.14-1.i386.rpm
gnome-python2-canvas-1.99.14-1.i386.rpm
gnome-python2-gtkhtml2-1.99.14-1.i386.rpm
gnome-system-monitor-2.0.3-1.i386.rpm
groff-1.18.1-2.i386.rpm
grub-0.93-2.i386.rpm
gstreamer-plugins-0.5.0-16.i386.rpm
gstreamer-plugins-devel-0.5.0-16.i386.rpm
httpd-2.0.40-14.i386.rpm
httpd-devel-2.0.40-14.i386.rpm
httpd-manual-2.0.40-14.i386.rpm
hwdata-0.63-1.noarch.rpm
initscripts-7.02-1.i386.rpm
libxml2-2.4.27-2xhtml.i386.rpm
libxml2-devel-2.4.27-2xhtml.i386.rpm
libxml2-python-2.4.27-2xhtml.i386.rpm
make-3.79.1-16.i386.rpm
modutils-2.4.22-3.i386.rpm
mozilla-1.2.1-4.i386.rpm
mozilla-devel-1.2.1-4.i386.rpm
mozilla-dom-inspector-1.2.1-4.i386.rpm
mozilla-js-debugger-1.2.1-4.i386.rpm
mozilla-nspr-1.2.1-4.i386.rpm
mozilla-nspr-devel-1.2.1-4.i386.rpm
mozilla-nss-1.2.1-4.i386.rpm
mozilla-nss-devel-1.2.1-4.i386.rpm
mozilla-psm-1.2.1-4.i386.rpm
nscd-2.3.1-26.i386.rpm
pan-0.13.3-1.i386.rpm
perl-5.8.0-78.i386.rpm
perl-CGI-2.81-78.i386.rpm
popt-1.8-0.48.i386.rpm
pygtk2-1.99.14-1.i386.rpm
qt-3.1.1-4.i386.rpm
redhat-config-packages-1.1.1-1.noarch.rpm
redhat-config-printer-0.6.27-1.i386.rpm
redhat-config-printer-gui-0.6.27-1.i386.rpm
rpm-4.2-0.48.i386.rpm
rpm-build-4.2-0.48.i386.rpm
rpm-devel-4.2-0.48.i386.rpm
rpm-python-4.2-0.48.i386.rpm
scrollkeeper-0.3.11-2.i386.rpm
setup-2.5.22-1.noarch.rpm
subversion-0.16-3987.1.i386.rpm
swig-1.1p5-21.i386.rpm
termcap-11.0.1-15.noarch.rpm
Comment 1 Ralph Loader 2003-01-02 23:21:06 EST
Core files are about 7 MB (1 MB compressed) - let me know if you want one.
(Not attaching as I'm not sure if that's OK for large binary files).

The segfault is from /bin/rpm, not from one of it's helper programs:

Shared libraries are all from RedHat RawHide.

[root@suckfish rpms]# ldd /bin/rpm
        libelf.so.1 => /usr/lib/libelf.so.1 (0x42f28000)
        libpthread.so.0 => /lib/i686/libpthread.so.0 (0x41298000)
        librt.so.1 => /lib/librt.so.1 (0x417b1000)
        libbz2.so.1 => /usr/lib/libbz2.so.1 (0x42f50000)
        libc.so.6 => /lib/i686/libc.so.6 (0x41017000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x41000000)
[root@suckfish rpms]# rpm -qf /usr/lib/libelf.so.1 /lib/i686/libpthread.so.0
/lib/librt.so.1 /usr/lib/libbz2.so.1 /lib/i686/libc.so.6 /lib/ld-linux.so.2
elfutils-libelf-0.72-2
glibc-2.3.1-21
glibc-2.3.1-21
bzip2-libs-1.0.2-7
glibc-2.3.1-21
glibc-2.3.1-21
[root@suckfish rpms]#
Comment 2 Jeff Johnson 2003-01-03 08:55:05 EST
Fixed in rpm-4.2-0.49 I believe. Reopen if I'm wrong.

Note You need to log in before you can comment on or make changes to this bug.